import SpriteSheet from "./SpriteSheet.js";

export default {
	tiles: new SpriteSheet("assets/tiles.png", 32, 32, 1)
		.defineTile("ground", 0, 0)
		.defineTile("ground-l", 1, 0)
		.defineTile("ground-r", 2, 0)
		.defineTile("ground-lr", 3, 0)

		.defineTile("ground-top", 0, 1)
		.defineTile("ground-top-l", 1, 1)
		.defineTile("ground-top-r", 2, 1)
		.defineTile("ground-top-lr", 3, 1)

		.defineTile("platform", 0, 2)
		.defineTile("platform-l", 1, 2)
		.defineTile("platform-r", 2, 2)
		.defineTile("platform-lr", 3, 2)

		.defineTile("broken-platform", 0, 3)
		.defineTile("broken-platform-l", 1, 3)
		.defineTile("broken-platform-r", 2, 3)
		.defineTile("broken-platform-lr", 3, 3),

	entities: new SpriteSheet("assets/entities.png", 19, 32, 2)
		.defineTile("player-head", 0, 0),
}
